# WindowDesc Struct Reference

High level window description. More...

`#include <window_gui.h>`

Inheritance diagram for WindowDesc:

## Public Member Functions
| WindowDesc (int16 left, int16 top, int16 min_width, int16 min_height, int16 def_width, int16 def_height, WindowClass window_class, WindowClass parent_class, uint32 flags, const Widget *widgets)
| Window description constructor.
## Data Fields
int16 | left
| Prefered x position of left edge of the window,.
int16 | top
| Prefered y position of the top of the window,.
int16 | minimum_width
| Minimal width of the window.
int16 | minimum_height
| Minimal height of the window.
int16 | default_width
| Prefered initial width of the window.
int16 | default_height
| Prefered initial height of the window.
WindowClass | cls
| Class of the window,.
WindowClass | parent_cls
| Class of the parent window,.
uint32 | flags
| Flags,.
const Widget * | widgets
| List of widgets with their position and size for the window.

## Detailed Description

High level window description.

Definition at line 41 of file window_gui.h.

## Constructor & Destructor Documentation

WindowDesc::WindowDesc | ( | int16 | left,
|  | int16 | top,
|  | int16 | min_width,
|  | int16 | min_height,
|  | int16 | def_width,
|  | int16 | def_height,
|  | WindowClass | window_class,
|  | WindowClass | parent_class,
|  | uint32 | flags,
|  | const Widget * | widgets |
| ) |  |  |

Window description constructor.

Definition at line 56 of file window.cpp.

References cls, default_height, default_width, minimum_height, minimum_width, and parent_cls.

## Field Documentation

int16 WindowDesc::left

Prefered x position of left edge of the window,.

See also:
  WindowDefaultPosition()

Definition at line 46 of file window_gui.h.

Referenced by LocalGetWindowPlacement().

int16 WindowDesc::top

Prefered y position of the top of the window,.

See also:
  WindowDefaultPosition()

Definition at line 47 of file window_gui.h.

Referenced by LocalGetWindowPlacement(), and ShowNewspaper().

WindowClass WindowDesc::cls

Class of the window,.

See also:
  WindowClass

Definition at line 52 of file window_gui.h.

Referenced by AllocateWindowDescFront(), Window::Window(), and WindowDesc().

WindowClass WindowDesc::parent_cls

Class of the parent window,.

See also:
  WindowClass

Definition at line 53 of file window_gui.h.

Referenced by LocalGetWindowPlacement(), and WindowDesc().

uint32 WindowDesc::flags

Flags,.

See also:
  WindowDefaultFlags

Definition at line 54 of file window_gui.h.

Referenced by Window::Window().

The documentation for this struct was generated from the following files:

- src/window_gui.h
- src/window.cpp